﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGValueEditorExceptionTest
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        string[] names = "Andrew;Alex;Jen;Steve;Eric;Valerie;Pamela;Mike;Lisa;Devin".Split(';');

        public List<string> ComboData { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i < names.Length; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    Name = names[i],
                    Number = r.Next(100),
                    Date = DateTime.Today.AddDays(i)
                });
            }

            ComboData = names.ToList();
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public int Number { get; set; }
        public DateTime Date { get; set; }
    }
}
